<!DOCTYPE html>
<html class="no-js" lang="en">
<head>
  <meta charset="utf-8">
  <title>Trial EIL Style Guide</title>

  <meta name="description" content="">
  <meta name="generator" content="kss-node">
  <meta name="viewport" content="width=device-width">

  <link rel="stylesheet" href="kss-assets/kss.css">
  <link rel="stylesheet" href="../styleguide.css">
<link rel="stylesheet" href="../styles.css">

</head>
<body id="kss-node" >

<div class="kss-sidebar kss-style">
  <header class="kss-header">
    <h1 class="kss-doc-title">Trial EIL Style Guide</h1>
  </header>
  <nav class="kss-nav">
    <ul class="kss-nav__menu">
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="./">
          <span class="kss-nav__ref">0</span
          ><span class="kss-nav__name">Overview</span>
        </a>
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-settings.html">
          <span class="kss-nav__ref">1</span><span class="kss-nav__name">Settings</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-spec.html">
          <span class="kss-nav__ref">2</span><span class="kss-nav__name">KSS Spec</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Base</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-base.html">
          <span class="kss-nav__ref">3</span><span class="kss-nav__name">Base</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">4</span><span class="kss-nav__name">Components</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-components.html">
          <span class="kss-nav__ref">4</span><span class="kss-nav__name">Components</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-javascript-api.html">
          <span class="kss-nav__ref">5</span><span class="kss-nav__name">JavaScript API</span>
        </a>
        
      </li>
    
      <li class="kss-nav__menu-item">
        <a class="kss-nav__menu-link" href="section-demo.html">
          <span class="kss-nav__ref">6</span><span class="kss-nav__name">Demo</span>
        </a>
        
          <ul class="kss-nav__menu-child">
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-mixins">
                <span class="kss-nav__ref ">6.1</span
                ><span class="kss-nav__name">Mixins</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-mixins-button-colorize">
                <span class="kss-nav__ref kss-nav__ref-child">6.1.1</span
                ><span class="kss-nav__name">.button-colorize(@color)</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-mixins-example">
                <span class="kss-nav__ref kss-nav__ref-child">6.1.2</span
                ><span class="kss-nav__name">.colors(@bg, @color)</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-colors">
                <span class="kss-nav__ref ">6.2</span
                ><span class="kss-nav__name">Colors</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-components">
                <span class="kss-nav__ref ">6.3</span
                ><span class="kss-nav__name">Components</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-components-buttons">
                <span class="kss-nav__ref kss-nav__ref-child">6.3.1</span
                ><span class="kss-nav__name">Buttons</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-forms">
                <span class="kss-nav__ref ">6.4</span
                ><span class="kss-nav__name">Forms</span>
              </a>
            </li>
          
            <li class="kss-nav__menu-item">
              <a class="kss-nav__menu-link" href="section-demo.html#kssref-demo-forms-text">
                <span class="kss-nav__ref kss-nav__ref-child">6.4.1</span
                ><span class="kss-nav__name">Text Input</span>
              </a>
            </li>
          
          </ul>
        
      </li>
    
    </ul>
  </nav>
</div>
<article role="main" class="kss-main">


  
  
    
    <div id="kssref-demo" class="kss-section kss-section--depth-1 ">
      <div class="kss-style">
        
        <h1 class="kss-title kss-title--level-1">
          <a class="kss-title__permalink" href="#kssref-demo">
            <span class="kss-title__ref">
              6
              <span class="kss-title__permalink-hash">
                demo
              </span>
            </span>
            Demo
          </a>
        </h1>

        

        
          <div class="kss-description">
            <p>The source files for this demo can be found in the
<a href="https://github.com/kss-node/kss-node/tree/master/demo">demo folder</a> on
GitHub.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/kss-headings.less</code>, line 27
        </div>
      
    </div>
  
    
    <section id="kssref-demo-mixins" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
        
        <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-demo-mixins">
            <span class="kss-title__ref">
              6.1
              <span class="kss-title__permalink-hash">
                demo.mixins
              </span>
            </span>
            Mixins
          </a>
        </h2>

        

        
          <div class="kss-description">
            <p>LESS mixins used in this demo.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/styles.less</code>, line 21
        </div>
      
    </section>
  
    
    <section id="kssref-demo-mixins-button-colorize" class="kss-section kss-section--depth-3 ">
      <div class="kss-style">
        
        <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-demo-mixins-button-colorize">
            <span class="kss-title__ref">
              6.1.1
              <span class="kss-title__permalink-hash">
                demo.mixins.button-colorize
              </span>
            </span>
            .button-colorize(@color)
          </a>
        </h3>

        

        
          <div class="kss-description">
            <p>Creates button styling with the specified color.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
          
            <div class="kss-parameters__title">Parameters:</div>
            <ul class="kss-parameters">
          
            <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>@color</code></div>
              <div class="kss-parameters__description">
                Button color.
                
              </div>
            </li>
          
            </ul>
          
        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/components/buttons.less</code>, line 61
        </div>
      
    </section>
  
    
    <section id="kssref-demo-mixins-example" class="kss-section kss-section--depth-3 ">
      <div class="kss-style">
        
        <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-demo-mixins-example">
            <span class="kss-title__ref">
              6.1.2
              <span class="kss-title__permalink-hash">
                demo.mixins.example
              </span>
            </span>
            .colors(@bg, @color)
          </a>
        </h3>

        

        
          <div class="kss-description">
            <p>Applies foreground and background colors.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
          
            <div class="kss-parameters__title">Parameters:</div>
            <ul class="kss-parameters">
          
            <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>@bg</code></div>
              <div class="kss-parameters__description">
                Background color.
                
                  <div class="kss-parameters__default-value">
                    Defaults to: <code>#f5f5f5</code>
                  </div>
                
              </div>
            </li>
          
        
          
            <li class="kss-parameters__item">
              <div class="kss-parameters__name"><code>@color</code></div>
              <div class="kss-parameters__description">
                Foreground color.
                
                  <div class="kss-parameters__default-value">
                    Defaults to: <code>#900</code>
                  </div>
                
              </div>
            </li>
          
            </ul>
          
        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/mixins/example.less</code>, line 1
        </div>
      
    </section>
  
    
    <section id="kssref-demo-colors" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
        
        <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-demo-colors">
            <span class="kss-title__ref">
              6.2
              <span class="kss-title__permalink-hash">
                demo.colors
              </span>
            </span>
            Colors
          </a>
        </h2>

        

        

        
          <ul class="kss-colors">
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#111"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@textColor</strong>
                    
                    <code class="kss-color-code">#111</code>
                    
                      <p class="kss-color-desc">base text color</p>
                    
                  </figcaption>
                </figure>
              </li>
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#888"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@textLighterColor</strong>
                    
                    <code class="kss-color-code">#888</code>
                    
                      <p class="kss-color-desc">lighter text color</p>
                    
                  </figcaption>
                </figure>
              </li>
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#224d66"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@infoColor</strong>
                    
                    <code class="kss-color-code">#224d66</code>
                    
                      <p class="kss-color-desc">info</p>
                    
                  </figcaption>
                </figure>
              </li>
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#5a792c"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@successColor</strong>
                    
                    <code class="kss-color-code">#5a792c</code>
                    
                      <p class="kss-color-desc">success</p>
                    
                  </figcaption>
                </figure>
              </li>
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#c47908"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@errorColor</strong>
                    
                    <code class="kss-color-code">#c47908</code>
                    
                      <p class="kss-color-desc">error</p>
                    
                  </figcaption>
                </figure>
              </li>
            
              <li>
                <figure class="kss-color">
                  <div class="kss-color-figure" style="background-color:#b62922"></div>
                  <figcaption class="kss-color-caption">
                    
                      <strong class="kss-color-name">@warningColor</strong>
                    
                    <code class="kss-color-code">#b62922</code>
                    
                      <p class="kss-color-desc">warning</p>
                    
                  </figcaption>
                </figure>
              </li>
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/styles.less</code>, line 1
        </div>
      
    </section>
  
    
    <section id="kssref-demo-components" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
        
        <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-demo-components">
            <span class="kss-title__ref">
              6.3
              <span class="kss-title__permalink-hash">
                demo.components
              </span>
            </span>
            Components
          </a>
        </h2>

        

        
          <div class="kss-description">
            <p>Reusable components that can be used across the site.
So far this just includes buttons.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/styles.less</code>, line 30
        </div>
      
    </section>
  
    
    <section id="kssref-demo-components-buttons" class="kss-section kss-section--depth-3 ">
      <div class="kss-style">
        
        <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-demo-components-buttons">
            <span class="kss-title__ref">
              6.3.1
              <span class="kss-title__permalink-hash">
                demo.components.buttons
              </span>
            </span>
            Buttons
          </a>
        </h3>

        
          <p class="kss-toolbar">
            
              <a href="#kssref-demo-components-buttons" data-kss-fullscreen="kssref-demo-components-buttons">
                <span class="kss-toolbar__tooltip">Toggle fullscreen</span>
                <svg class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-demo-components-buttons.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
            
            <a href="#kssref-demo-components-buttons" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-demo-components-buttons" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        

        
          <div class="kss-description">
            <p>A majority of buttons in the site are built from the same base class.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      
        <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Examples
          </div>

          
            <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          

          <div class="kss-modifier__example">
            buttons.hbs
            <div class="kss-modifier__example-footer"></div>
          </div>

          
            <div class="kss-modifier__name kss-style">
              .primary
            </div>
            <div class="kss-modifier__description kss-style">
              Use this class to indicate that the button is the primary feature of this form.
            </div>
            <div class="kss-modifier__example">
              buttons.hbs
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              .remove
            </div>
            <div class="kss-modifier__description kss-style">
              Use this class to indicate that the button will remove a feature, or other negative connotations.
            </div>
            <div class="kss-modifier__example">
              buttons.hbs
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              :hover
            </div>
            <div class="kss-modifier__description kss-style">
              Highlight the button when hovered.
            </div>
            <div class="kss-modifier__example">
              buttons.hbs
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              :disabled
            </div>
            <div class="kss-modifier__description kss-style">
              Make the button change appearance to reflect it being disabled.
            </div>
            <div class="kss-modifier__example">
              buttons.hbs
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              :active
            </div>
            <div class="kss-modifier__description kss-style">
              &quot;Press&quot; the button down when clicked.
            </div>
            <div class="kss-modifier__example">
              buttons.hbs
              <div class="kss-modifier__example-footer"></div>
            </div>
          
        </div>
        
          <details class="kss-markup kss-style">
            <summary>
              
                Markup
              
            </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml">buttons.hbs</span></code></pre>
          </details>
        
      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/components/buttons.less</code>, line 1
        </div>
      
    </section>
  
    
    <section id="kssref-demo-forms" class="kss-section kss-section--depth-2 ">
      <div class="kss-style">
        
        <h2 class="kss-title kss-title--level-2">
          <a class="kss-title__permalink" href="#kssref-demo-forms">
            <span class="kss-title__ref">
              6.4
              <span class="kss-title__permalink-hash">
                demo.forms
              </span>
            </span>
            Forms
          </a>
        </h2>

        
          <p class="kss-toolbar">
            
              <a href="#kssref-demo-forms" data-kss-fullscreen="kssref-demo-forms">
                <span class="kss-toolbar__tooltip">Toggle fullscreen</span>
                <svg class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-demo-forms.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
            
            <a href="#kssref-demo-forms" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-demo-forms" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        

        
          <div class="kss-description">
            <p>Covers styles used for forms, such as the <code>&lt;input&gt;</code> and <code>&lt;select&gt;</code> elements.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      
        <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Examples
          </div>

          
            <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          

          <div class="kss-modifier__example">
            forms.hbs
            <div class="kss-modifier__example-footer"></div>
          </div>

          
        </div>
        
          <details class="kss-markup kss-style">
            <summary>
              
                Markup
              
            </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml">forms.hbs</span></code></pre>
          </details>
        
      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/styles.less</code>, line 38
        </div>
      
    </section>
  
    
    <section id="kssref-demo-forms-text" class="kss-section kss-section--depth-3 ">
      <div class="kss-style">
        
        <h3 class="kss-title kss-title--level-3">
          <a class="kss-title__permalink" href="#kssref-demo-forms-text">
            <span class="kss-title__ref">
              6.4.1
              <span class="kss-title__permalink-hash">
                demo.forms.text
              </span>
            </span>
            Text Input
          </a>
        </h3>

        

        
          <div class="kss-description">
            <p>Below are the text-oriented form elements used on the site.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/forms/base.less</code>, line 1
        </div>
      
    </section>
  
    
    <section id="kssref-demo-forms-text-single-line" class="kss-section kss-section--depth-4 ">
      <div class="kss-style">
        
        <h4 class="kss-title kss-title--level-4">
          <a class="kss-title__permalink" href="#kssref-demo-forms-text-single-line">
            <span class="kss-title__ref">
              6.4.1.1
              <span class="kss-title__permalink-hash">
                demo.forms.text.single-line
              </span>
            </span>
            Single-Line Text Boxes
          </a>
        </h4>

        
          <p class="kss-toolbar">
            
              <a href="#kssref-demo-forms-text-single-line" data-kss-fullscreen="kssref-demo-forms-text-single-line">
                <span class="kss-toolbar__tooltip">Toggle fullscreen</span>
                <svg class="off" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M64 0v26l-10-10-12 12-6-6 12-12-10-10zM28 42l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
                <svg class="on" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <path class="kss-toolbar__icon-fill" d="M28 36v26l-10-10-12 12-6-6 12-12-10-10zM64 6l-12 12 10 10h-26v-26l10 10 12-12z"></path>
                </svg>
              </a>
              <a href="item-demo-forms-text-single-line.html" target="_blank">
                <span class="kss-toolbar__tooltip">Open in new window</span>
                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                  <rect x="0" y="20" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M40,64l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="0" y="20" width="40" height="10"/>
                  <rect x="24" y="0" width="40" height="44" fill="#fff"/>
                  <path class="kss-toolbar__icon-fill" d="M64,44l-40,0l0,-44l40,0l0,44Zm-36,-40l0,36l32,0l0,-36l-32,0Z"/>
                  <rect class="kss-toolbar__icon-fill" x="24" y="0" width="40" height="10"/>
                </svg>
              </a>
            
            <a href="#kssref-demo-forms-text-single-line" data-kss-guides="true">
              <span class="kss-toolbar__tooltip">Toggle example guides</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <rect class="kss-toolbar__icon-fill" x="5" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="35" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="21" width="5" height="9"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="5" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="0" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="5" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="54" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="49" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="5" y="49" width="5" height="15"/>
                <rect class="kss-toolbar__icon-fill" x="0" y="54" width="15" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="35" y="54" width="9" height="5"/>
                <rect class="kss-toolbar__icon-fill" x="20" y="54" width="9" height="5"/>
              </svg>
            </a>
            <a href="#kssref-demo-forms-text-single-line" data-kss-markup="true">
              <span class="kss-toolbar__tooltip">Toggle HTML markup</span>
              <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%" viewBox="0 0 64 64">
                <path class="kss-toolbar__icon-fill" d="M37.555,46.239l6.103,6.103l20.342,-20.342l-20.342,-20.342l-6.103,6.103l14.24,14.239l-14.24,14.239Z"/>
                <path class="kss-toolbar__icon-fill" d="M26.445,17.761l-6.103,-6.103l-20.342,20.342l20.342,20.342l6.103,-6.103l-14.24,-14.239l14.24,-14.239Z"/>
              </svg>
            </a>
          </p>
        

        
          <div class="kss-description">
            <p>Your standard, everyday text boxes.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      
        <div class="kss-modifier__wrapper">
          <div class="kss-modifier__heading kss-style">
            Examples
          </div>

          
            <div class="kss-modifier__default-name kss-style">
              Default styling
            </div>
          

          <div class="kss-modifier__example">
            <input type="text" class="" value="Text input"/>
            <div class="kss-modifier__example-footer"></div>
          </div>

          
            <div class="kss-modifier__name kss-style">
              :hover
            </div>
            <div class="kss-modifier__description kss-style">
              Highlight the text box when hovering
            </div>
            <div class="kss-modifier__example">
              <input type="text" class="pseudo-class-hover" value="Text input"/>
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              :focus
            </div>
            <div class="kss-modifier__description kss-style">
              Similar to <code>:hover</code>, however it should demand more attention than when an input is simply hovered.
            </div>
            <div class="kss-modifier__example">
              <input type="text" class="pseudo-class-focus" value="Text input"/>
              <div class="kss-modifier__example-footer"></div>
            </div>
          
            <div class="kss-modifier__name kss-style">
              :disabled
            </div>
            <div class="kss-modifier__description kss-style">
              When disabled, the input's appearance should reflect as such.
            </div>
            <div class="kss-modifier__example">
              <input type="text" class="pseudo-class-disabled" value="Text input"/>
              <div class="kss-modifier__example-footer"></div>
            </div>
          
        </div>
        
          <details class="kss-markup kss-style">
            <summary>
              
                Markup
              
            </summary>
            <pre class="hljs"><code class="language-twig"><span class="xml"><span class="hljs-tag">&lt;<span class="hljs-name">input</span> <span class="hljs-attr">type</span>=<span class="hljs-string">"text"</span> <span class="hljs-attr">class</span>=<span class="hljs-string">"[modifier class]"</span> <span class="hljs-attr">value</span>=<span class="hljs-string">"Text input"</span>/&gt;</span></span></code></pre>
          </details>
        
      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/forms/base.less</code>, line 8
        </div>
      
    </section>
  
    
    <section id="kssref-demo-forms-text-label-pairs" class="kss-section kss-section--depth-4 ">
      <div class="kss-style">
        
        <h4 class="kss-title kss-title--level-4">
          <a class="kss-title__permalink" href="#kssref-demo-forms-text-label-pairs">
            <span class="kss-title__ref">
              6.4.1.2
              <span class="kss-title__permalink-hash">
                demo.forms.text.label-pairs
              </span>
            </span>
            Label/Text box Pairs
          </a>
        </h4>

        

        
          <div class="kss-description">
            <p>All labelled text boxes should be included in a wrapper <code>&lt;div&gt;</code> element for
both layout convenience and specific styling.</p>

          </div>
        

        
          <ul class="kss-colors">
            
          </ul>
        

        
      </div>

      

      
        <div class="kss-source kss-style">
          Source: <code>node_modules/kss/demo/forms/base.less</code>, line 58
        </div>
      
    </section>
  

</article>

<!-- SCRIPTS -->
<script src="kss-assets/kss.js"></script>
<script src="kss-assets/scrollspy.js"></script>
<script src="kss-assets/kss-fullscreen.js"></script>
<script src="kss-assets/kss-guides.js"></script>
<script src="kss-assets/kss-markup.js"></script>
<script>
  var spy = new ScrollSpy('#kss-node', {
    nav: '.kss-nav__menu-child > li > a',
    className: 'is-in-viewport'
  });
  var kssFullScreen = new KssFullScreen({
    idPrefix: 'kss-fullscreen-',
    bodyClass: 'kss-fullscreen-mode',
    elementClass: 'is-fullscreen'
  });
  var kssGuides = new KssGuides({
    bodyClass: 'kss-guides-mode'
  });
  var kssMarkup = new KssMarkup({
    bodyClass: 'kss-markup-mode',
    detailsClass: 'kss-markup'
  });
</script>





<!-- Automatically built using <a href="https://github.com/kss-node/kss-node">kss-node</a>. -->
</body>
</html>
